UP8: Cant install fglrx after update

Post your update and upgrade related errors here
Forum rules
Before you post please read this

UP8: Cant install fglrx after update

Postby faser on Fri Mar 14, 2014 6:49 pm

Well apparently something messed up big time here.
Uninstalled fglrx, Updated from up7 to up8, followed every instruction to the letter.
Reboot.
radeon comes up.
install fglrx.
Reboot.
Kernel panic at 0.20000s, random error messages each time, totally corrupted.

Had to chroot to uninstall fglrx for it to work again.

The last thing i did now was try sgfxi but except from not getting a kernel panic i'm stuck in the login as mdm canf find libGL.so.1.
Inbetween i got a lot of ld-linux-x32.so.1 protection errors while amd's installer was updating the initrd img.
Removed everysingle x32 package and that seemed to fix that, but still couldnt fin libGL.so.1 which was at /usr/lib64/.
Added /usr/lib and /usr/lib64 to the ld.so conf file and that fixed that but now mdm will only show a black screen in 640x480 and the mouse pointer.
Blacklisted uvesafb, vga16fb and vgsstate and used aticonfig to generate the xorg.conf file and then xorg said fglrx module couldnt be found, which was true as /usr/lib/xorg/modules/extensions/fglrx was empty

Any idea? I consider myself quite a experienced linux user but i ran out of ideas here.
And the worse thing is minecraft runs pretty well with radeon but randomly crashes in fullscreen u.u

Nothing out of normal, only have the playonlinux repo and compiz gotten from the sid snapshop.
Ati Radeon HD6950, running from a 4hdd mdadm raid5 which was originally installed in a usb drive while i tested LMDE there to see if it had any serious bug with my machine and then moved to the raid.
faser
Level 1
Level 1
 
Posts: 2
Joined: Fri Mar 14, 2014 2:15 pm

Linux Mint is funded by ads and donations.
 

Re: UP8: Cant install fglrx after update

Postby Monsta on Sat Mar 15, 2014 11:33 am

Usually libGL.so.1 issues were solved by reinstalling the package that contains it:

Code: Select all
$ apt contains libGL.so.1
libgl1-mesa-glx:i386: /usr/lib/i386-linux-gnu/libGL.so.1
libgl1-mesa-glx:i386: /usr/lib/i386-linux-gnu/libGL.so.1.2.0
libgl1-mesa-glx:amd64: /usr/lib/x86_64-linux-gnu/libGL.so.1
libgl1-mesa-glx:amd64: /usr/lib/x86_64-linux-gnu/libGL.so.1.2.0

Code: Select all
apt install --reinstall libgl1-mesa-glx
Monsta
Level 8
Level 8
 
Posts: 2496
Joined: Fri Aug 19, 2011 3:46 am

Re: UP8: Cant install fglrx after update

Postby faser on Sat Mar 15, 2014 7:02 pm

Monsta wrote:Usually libGL.so.1 issues were solved by reinstalling the package that contains it


I'll try that, but i fixed that adding the paths to the ld.so.conf file.And wouldn't that be replacing fglrx's libGL.so file with mesas's
faser
Level 1
Level 1
 
Posts: 2
Joined: Fri Mar 14, 2014 2:15 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests